# CONTRIBUTING.md

---

We welcome contributions from everyone and appreciate your consideration in helping us to improve our code, tests, and documentation.

## Reporting security flaws

If you find a flaw in our project that can hurt users or provide unauthorized access, please contact our maintainers privately, as follows.

Contacts: kyle@splitpass.com ben@splitpass.com

## Report an Error or Bug

If you run into an error or bug with the project:

- Open an Issue at https://github.com/splitpass/mindbody-api/issues
- Include _reproduction steps_ that someone else can follow to recreate the bug or error on their own.
- Provide project and platform versions (nodejs, npm, etc), depending on what seems relevant. If not, please be ready to provide that information if maintainers ask for it.

Once it's filed:

- A team member will try to reproduce the issue with your provided steps. If there are no repro steps or no obvious way to reproduce the issue, the team will ask you for those steps and the issue will not be addressed until they are reproduced.
- If you or the maintainers don't respond to an issue for 30 days, the issue will be closed. If you want to come back to it, reply (once, please), and we'll reopen the existing issue. Please avoid filing new issues as extensions of one you already made.

## Request Support

If you have a question about this project, how to use it, or just need clarification about something:

- Open an Issue at https://github.com/SplitPass/mindbody-api/issues
- Provide as much context as you can about what you're running into.
- Provide project and platform versions (nodejs, npm, etc), depending on what seems relevant. If not, please be ready to provide that information if maintainers ask for it.

### Creating the material for a pull request

1. Fork our project into your personal namespace or group.

2. Create a feature branch in your fork. If possible, include the title of the issue or the issue number that the merge request corresponds to.

3. Push the commit(s) to your working branch in your fork.

- Squash commits into a small number of logically organized commits, keeping the commit history intact on shared branches.
- Please try to have fewer than 15 commit messages per merge request.

### Merge request acceptance criteria

Your merge request needs at least one approval from a maintainer on the project, but depending on your change you might need additional approvals. Merge requests that fix a regression are usually accepted quickly and usually only require a single approval, whereas a new feature may require approval from multiple maintainers and our project leads.
